### Method

# Adw AlertDialog set_default_response

since: 1.5

#### Declaration [src]

    void
    adw_alert_dialog_set_default_response (
      AdwAlertDialog* self,
      const char* response
    )

#### Description [src]

Sets the ID of the default response of `self`.

The button corresponding to this response will be set as the default widget of `self`.

If not set, the default widget will not be set, and the last added response will be focused by default.

See `AdwDialog:default-widget`.

Available since: 1.5

Sets property | `Adw.AlertDialog:default-response`

#### Parameters

`response`

  Type: `const char*`

  The default response ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.